Bug 460615 - Review Request: bti - Bash Twitter Idiocy
Review Request: bti - Bash Twitter Idiocy
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-28 22:59 EDT by Michel Alexandre Salim
Modified: 2014-05-27 08:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 20:14:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-08-28 22:59:27 EDT
Spec URL: http://salimma.fedorapeople.org/for_review/cli/bti.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/cli/bti-005-1.fc10.src.rpm
Description:
Allows you to pipe your bash input to twitter in an easy and fast manner
to annoy the whole world.

Thanks to dmarti (http://lwn.net/Articles/296098/) for mentioning this nifty client!
Comment 1 Michel Alexandre Salim 2008-08-28 23:04:17 EDT
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=792275
Comment 2 Peter Lemenkov 2008-08-29 02:10:20 EDT
I'll review it.
Comment 3 Peter Lemenkov 2008-08-29 07:03:01 EDT
REVIEW:

+ rpmlint is silent.
+ The package is named according to the Package Naming Guidelines.
+ The spec file matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license.
+ The text of the license(s) is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ md5sum bti-005.tar.bz2*
65466367d82bae9b470bcf6591bdf37f  bti-005.tar.bz2
65466367d82bae9b470bcf6591bdf37f  bti-005.tar.bz2.orig
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one supported architecture (ppc).
+ All build dependencies are listed in BuildRequires.
+ The package does not contain any duplicate files in the %files listing.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
+ The package consistently uses macros, as described in the macros section of Packaging Guidelines .
+ The package contains code, or permissable content.
+ Everything, the package includes as %doc, does not affect the runtime of the application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT.
+ All filenames in rpm package are valid UTF-8.

APPROVED.
Comment 4 Michel Alexandre Salim 2008-08-29 11:25:36 EDT
Thanks!

New Package CVS Request
=======================
Package Name: bti
Short Description: Bash Twitter Idiocy
Owners: salimma
Branches: EL-5 F-8 F-9
InitialCC:
Comment 5 Kevin Fenzi 2008-08-30 16:46:14 EDT
cvs done.
Comment 6 Fedora Update System 2008-08-30 19:48:11 EDT
bti-005-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/bti-005-1.fc9
Comment 7 Fedora Update System 2008-08-30 19:49:11 EDT
bti-005-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/bti-005-1.fc8
Comment 8 Fedora Update System 2008-09-05 08:18:45 EDT
bti-005-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bti'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7252
Comment 9 Fedora Update System 2008-09-10 02:51:24 EDT
bti-005-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bti'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7516
Comment 10 Fedora Update System 2008-09-10 03:00:20 EDT
bti-005-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bti'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7252
Comment 11 Fedora Update System 2008-09-24 20:14:13 EDT
bti-005-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-09-24 20:23:34 EDT
bti-005-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Michel Alexandre Salim 2014-05-22 23:16:36 EDT
Package Change Request
======================
Package Name: bti
New Branches: epel7
Owners: salimma
Comment 14 Gwyn Ciesla 2014-05-27 08:39:44 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.